AI Sync

Advanced

Update Inbound Ghl Fields

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/inbound-ghl/{agent_id}
Update Inbound Ghl Fields
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/inbound-ghl/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "mappings": [],
  "mappings.*": "value",
  "inbound_field_source": "ghl"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Inbound Ghl Fields#

Update inbound call GHL field mappings for an AI agent..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

mappingsarraybodyrequired

Request field

mappings.*stringbody

may be null

inbound_field_sourcestringbody

One of: ghl, ai_sync. send only when changing this field

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/inbound-ghl/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"mappings":[],"mappings.*":"value","inbound_field_source":"ghl"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records